summaryrefslogtreecommitdiffstats
path: root/network
diff options
context:
space:
mode:
author Matteo Bernardini <ponce@slackbuilds.org>2012-09-07 09:37:38 +0200
committer Robby Workman <rworkman@slackbuilds.org>2012-09-08 17:28:30 -0500
commit68fa0da7c26f2d255a84692ec8e50e77951bf231 (patch)
tree79c0010d6f372e540a8755c8ba0d65c1c4094a8b /network
parent661a8f508679b6cc9e478f12d2ce794b15cce474 (diff)
downloadslackbuilds-68fa0da7c26f2d255a84692ec8e50e77951bf231.tar.gz
slackbuilds-68fa0da7c26f2d255a84692ec8e50e77951bf231.tar.xz
network/grsync: Added (rsync GUI).
Signed-off-by: Matteo Bernardini <ponce@slackbuilds.org>
Diffstat (limited to 'network')
-rw-r--r--network/grsync/README6
-rw-r--r--network/grsync/doinst.sh4
-rw-r--r--network/grsync/grsync.SlackBuild101
-rw-r--r--network/grsync/grsync.info10
-rw-r--r--network/grsync/slack-desc19
5 files changed, 140 insertions, 0 deletions
diff --git a/network/grsync/README b/network/grsync/README
new file mode 100644
index 0000000000..e471a95abd
--- /dev/null
+++ b/network/grsync/README
@@ -0,0 +1,6 @@
+grsync (rsync GUI)
+
+grsync is a GUI (Graphical User Interface) for rsync, the commandline
+directory synchronization tool.
+It can be effectively used to synchronize local directories and
+it supports remote targets as well.
diff --git a/network/grsync/doinst.sh b/network/grsync/doinst.sh
new file mode 100644
index 0000000000..51b4303ede
--- /dev/null
+++ b/network/grsync/doinst.sh
@@ -0,0 +1,4 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications > /dev/null 2>&1
+fi
+
diff --git a/network/grsync/grsync.SlackBuild b/network/grsync/grsync.SlackBuild
new file mode 100644
index 0000000000..b62db50b03
--- /dev/null
+++ b/network/grsync/grsync.SlackBuild
@@ -0,0 +1,101 @@
+#!/bin/sh
+
+# Slackware build script for grsync
+# Copyright Matteo Bernardini <ponce@slackbuilds.org>, Pisa, Italy, 2012
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=grsync
+VERSION=${VERSION:-1.2.1}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+DOCS="AUTHORS COPYING ChangeLog INSTALL NEWS README"
+
+set -e # Exit on most errors
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+LDFLAGS="-lm" \
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --docdir=/usr/doc/$PRGNAM-$VERSION \
+ --enable-unity=no \
+ --build=$ARCH-slackware-linux
+
+make
+make install-strip DESTDIR=$PKG
+
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a $DOCS $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/network/grsync/grsync.info b/network/grsync/grsync.info
new file mode 100644
index 0000000000..6ab46755f4
--- /dev/null
+++ b/network/grsync/grsync.info
@@ -0,0 +1,10 @@
+PRGNAM="grsync"
+VERSION="1.2.1"
+HOMEPAGE="http://www.opbyte.it/grsync/"
+DOWNLOAD="http://downloads.sourceforge.net/grsync/grsync-1.2.1.tar.gz"
+MD5SUM="e57f46d67f7f9e8df08fdd0b97db10a6"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="Matteo Bernardini"
+EMAIL="ponce@slackbuilds.org"
diff --git a/network/grsync/slack-desc b/network/grsync/slack-desc
new file mode 100644
index 0000000000..7fecc7eb6c
--- /dev/null
+++ b/network/grsync/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+grsync: grsync (rsync GUI)
+grsync:
+grsync: grsync is a GUI (Graphical User Interface) for rsync, the commandline
+grsync: directory synchronization tool.
+grsync: It can be effectively used to synchronize local directories and
+grsync: it supports remote targets as well.
+grsync:
+grsync: Homepage: http://www.opbyte.it/grsync/
+grsync:
+grsync:
+grsync: